$label-max-width: 100%;

.gl-label {
  @include gl-align-items-center;
  @include gl-bg-white;
  @include gl-overflow-hidden;
  @include gl-display-inline-flex;
  @include gl-rounded-pill;
  @include gl-relative;
  @include gl-max-w-full;
  @include gl-font-base;
  box-shadow: var(--label-inset-border) !important;

  &:not(.gl-label-scoped) {
    background-color: var(--label-background-color);
  }

  &:focus-within {
    @include gl-focus($gl-border-size-2, var(--label-background-color), true);
  }

  .gl-label-link {
    @include gl-line-height-normal;
    @include gl-display-flex;
    @include gl-font-sm;
    @include gl-font-weight-normal;
    @include gl-overflow-hidden;
    @include gl-reset-color;
    @include gl-max-w-full;

    &:focus,
    &:hover {
      @include gl-reset-color;
      @include gl-shadow-none;
    }
  }

  .gl-label-text,
  .gl-label-text-scoped {
    @include gl-display-block;
    @include gl-px-3;
    @include gl-py-2;
    @include str-truncated($label-max-width);
  }

  > .gl-label-close {
    @include gl-border-0;
    @include gl-display-flex;
    @include gl-ml-n2;
    @include gl-mr-2;
    @include gl-p-0;
    @include gl-reset-bg;
    @include gl-reset-color;
    @include gl-rounded-full;

    &:focus,
    &:hover {
      color: var(--label-background-color);
    }

    &[disabled],
    &[disabled]:hover {
      @include gl-opacity-5;
      @include gl-reset-bg;
      @include gl-reset-color;
    }

    .gl-icon {
      @include gl-p-1;
    }
  }
}

.gl-label-text-dark {
  @include gl-text-black-normal;

  .gl-label-close {
    &:focus,
    &:hover {
      @include gl-bg-black;
    }
  }
}

.gl-label-text-light {
  @include gl-text-white;

  .gl-label-close {
    &:focus,
    &:hover {
      @include gl-bg-white;
    }
  }
}

.gl-label-scoped {
  &.gl-label-text-light {
    .gl-label-text-scoped,
    .gl-label-close,
    .gl-label-close[disabled]:hover {
      color: var(--label-background-color);
    }
  }

  .gl-label-text {
    @include gl-pr-2;
    background-color: var(--label-background-color);
  }

  .gl-label-text-scoped {
    @include gl-pl-2;
    @include gl-pr-3;
  }

  .gl-label-close {
    &:focus,
    &:hover {
      @include gl-text-white;
      background-color: var(--label-background-color);
    }
  }
}

.gl-label-sm {
  .gl-label-text,
  .gl-label-text-scoped {
    @include gl-py-0;
  }

  .gl-label-close {
    @include gl-mr-1;
  }
}

.gl-label-tooltip-title {
  @include gl-display-block;
  @include gl-text-theme-indigo-300;
  @include gl-font-weight-bold;
}
